%look for subfolders and file
if exist([filepath 'text analysis\individual_stims'], 'dir') == 0
    mkdir([filepath 'text analysis\individual_stims'])
end
if exist([filepath 'text analysis\individual_stims\EVPdata_' muscle_name '.txt'], 'file') == 0
    fid=fopen([filepath 'text analysis\individual_stims\EVPdata_' muscle_name '.txt'],'at');
    fprintf(fid, '%s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\n',...
        'Filename', 'An Num', 'muscle', 'state', 'Date', 'electrode1', 'electrode2', 'Stim Location', 'Freq', 'Intesity',...
        'Response', 'Stim Number', 'Stim On', 'Interval Start', 'Stim Offset', 'Stim interval Amp', 'Stim interval Int',...
        'Interval start', 'Interval Stop', 'Interval Duration', 'Interval Amp', 'Interval Int',...
        'Response Amp', 'Base Response Amp', 'Response Int', 'Base Response Int');
    fclose(fid);
end

%export data
fid=fopen([filepath 'text analysis\individual_stims\EVPdata_' muscle_name '.txt'],'at');
for i = 1:size(individual_stim_first,1)
    response = 'First';
    fprintf(fid, '%s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %12f\t %12f\t %12f\t %12f\t %12.4f\t %12.4f\t %12f\t %12f\t %12f\t %12.4f\t %12.4f\t %12.4f\t %12.4f\t %12.4f\t %12.4f\n',...
    filename(1:end-4), an_num, muscle_name, state, date, electrode1, electrode2,...
    stim_location, freq, intensity, response, i, individual_stim_first(i,:));
end
for i = 1:size(individual_stim_second,1)
    response = 'Second';
    fprintf(fid, '%s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %s\t %12f\t %12f\t %12f\t %12f\t %12.4f\t %12.4f\t %12f\t %12f\t %12f\t %12.4f\t %12.4f\t %12.4f\t %12.4f\t %12.4f\t %12.4f\n',...
    filename(1:end-4), an_num, muscle_name, state, date, electrode1, electrode2,...
    stim_location, freq, intensity, response, i, individual_stim_second(i,:));
end
fclose(fid);
