function [data] = fxHighpass(EMG_raw, HighCutoff, ScanRate)

pad_front = repmat(EMG_raw(1,:),200, 1);
pad_back = repmat(EMG_raw(end,:), 200, 1);
EMG2 = vertcat(pad_front, EMG_raw, pad_back);

for i = 1:size(EMG2,2)
    [b,a] = butter(2, HighCutoff*2/ScanRate, 'high');
    filt1 = filtfilt(b,a,EMG2(:,i));
    filt1flip = flipud(filt1);
    filt2 = filtfilt(b,a,filt1flip);
    filt2flip = flipud(filt2);
%     [b,a] = butter(2, LinEnvFilter*2/2000, 'low');
%     le1 = filtfilt(b,a,filt2flip);
%     le1flip = flipud(le1);
%     le2 = filtfilt(b,a,le1flip);
%     le2flip = flipud(le2);
%     data(:,i) = abs(le2flip(200:4199));
    data(:,i) = filt2flip(200:end-201);
end