function diff_data = differentiate(data, fs, step)
% This function differentiates using euler methods.

    dt = (1/fs)*step;
    temp = data(1 + step:end, :);
    diff_data = (temp - data(1:end - step,:))/dt;

end
