function fileinfo = getFileInfo(chosenfile)

fileinfo = struct();

info = split(chosenfile, '_');

% define filename
heading = chosenfile(1:end-4);

%pull information from filename
temp = find(heading(2:end) == 'W') + 1;
Week = heading(temp+2);
AnNum = heading(temp+4:temp+6);

Treatment = info(4);

temp = find(heading == '+');
Anode = heading(temp-2:temp-1);

temp = find(heading == '-');
Cathode = heading(temp-2:temp-1);

temp = regexpi(heading, 'uA');
Current = str2double(heading(temp-3:temp-1));

fileinfo.Week = Week;
fileinfo.AnNum = AnNum;
fileinfo.Treatment = Treatment;
fileinfo.Anode = Anode;
fileinfo.Cathode = Cathode;
fileinfo.Current = Current;
end

